You are here

U-177: Lotus Quickr for Domino ActiveX Control Buffer Overflow Lets Remote Users Execute Arbitrary Code

May 25, 2012 - 7:00am

Addthis

PROBLEM:

Lotus Quickr for Domino ActiveX Control Buffer Overflow Lets Remote Users Execute Arbitrary Code

PLATFORM:

8.2 for Domino

ABSTRACT:

A vulnerability was reported in Lotus Quickr for Domino. A remote user can cause arbitrary code to be executed on the target user's system.

Reference Links:

SecurityTracker Alert ID: 1027097
CVE-2012-2176
Secunia Advisory SA49285

IMPACT ASSESSMENT:

High

Discussion:

A remote user can create specially crafted HTML that, when loaded by the target user, will trigger a buffer overflow in the 'qp2.cab' ActiveX control and execute arbitrary code on the target system. The code will run with the privileges of the target user. The CLSID of the vulnerable control is: 05D96F71-87C6-11d3-9BE4-00902742D6E0

Impact:

A remote user can create a file that, when loaded by the target user, will execute arbitrary code on the target user's system.

Solution:

The vendor has issued a fix (Lotus Quickr for Domino Hot Fix 8.2.0.27-002a).

Addthis